﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HttpServer;
using Newtonsoft.Json.Linq;

namespace webmc
{
	class Module_Images : IModule, IWebmcModule
	{
		public String MYPATH
		{
			get
			{
				return "/images/";
			}
		}
		public String USAGE
		{
			get
			{
				return MYPATH + "imagename";
			}
		}

		public ProcessingResult Process(RequestContext context)
		{
			if (!context.Request.Uri.AbsolutePath.StartsWith(MYPATH))
			{
				return ProcessingResult.Continue;
			}

			try
			{
				JObject json = new JObject();

				json.Add(context.Request.Uri.AbsolutePath, true.ToString());
				return OutputData.Output(context, json);
			}
			catch (HttpException ex)
			{
				throw ex;
			}
			catch (Exception ex)
			{
				return OutputException.Output(context, ex);
			}
		}
	}
}
