#InstallKeybdHook

HomePath=AutohotkeyRemoteControl.dll
hModule := DllCall("LoadLibrary", "str", HomePath)  ; Avoids the need for DllCall() in
OnMessage(0x00FF, "InputMsg")
DetectHiddenWindows, on

;Register my device
EditUsage = 136
EditUsagePage = 65468
Gui, +Toolbar
Gui, Show, x0 y0 h0 w0, Autohotkey HID-Support
HWND := WinExist("Autohotkey HID-Support")
nRC := DllCall("AutohotkeyRemoteControl\RegisterDevice", INT, EditUsage, INT, EditUsagePage, INT, HWND, "Cdecl UInt")
if (errorlevel <> 0) || (nRC == -1)
{
	MsgBox RegisterDevice failed. Errorcode: %errorlevel%
	goto cleanup
}
Gui, Hide
return

InputMsg(wParam, lParam, msg, hwnd)
{
	DataSize = 5000
	VarSetCapacity(RawData, %DataSize%)
	RawData = 1
	
	nRC := DllCall("AutohotkeyRemoteControl\GetWM_INPUTHIDData", UINT, wParam, UINT, lParam, "UINT *" , DataSize, "UINT", &RawData, "Cdecl UInt")
	if (errorlevel <> 0) || (nRC == -1)
	{
		MsgBox GetWM_INPUTHIDData failed. Errorcode: %errorlevel%
		goto cleanup
	}

	infoStr = 
	loop, %DataSize%
	{
		Zahl := NumGet(RawData, a_index-1, "UChar")
		Zahl := Dez2Hex(Zahl)
		Vals = %Vals%%Zahl%
	}
	infoStr = %DataSize%::%Vals%
	;Msgbox %infoStr%

	ifequal, Vals, 0332, gosub TV
	;ifequal, vals, 035b, gosub RED
	;ifequal, Vals, 035c, gosub GREEN
	;ifequal, Vals, 035d, gosub YELLOW
	;ifequal, Vals, 035e, gosub BLUE

	ifequal, Vals, 033200, gosub TV
	;ifequal, vals, 035b00, gosub RED
	;ifequal, Vals, 035c00, gosub GREEN
	;ifequal, Vals, 035d00, gosub YELLOW
	;ifequal, Vals, 035e00, gosub BLUE
}

^!F12::
	gosub TV
return
	
RED:
	Msgbox Red button
return

GREEN:
	Msgbox Green button
return

YELLOW:
	Msgbox Yellow button
return

BLUE:
	Msgbox Blue button
return

TV:
	WinMinimize ahk_class eHome Render Window
return

;
;
;
cleanup:
DllCall("FreeLibrary", "UInt", hModule)  ; It is best to unload the DLL after using it (or before the script exits).
ExitApp

;
;
;
UPDATEDSCRIPT:
	FileGetAttrib,attribs,%A_ScriptFullPath%
	IfInString,attribs,A
	{
		FileSetAttrib,-A,%A_ScriptFullPath%
		SplashTextOn,,,Updated script,
		Sleep,500
		Reload
	}
Return

;
;
;
Dez2Hex(Number)
{
	format = %A_FormatInteger%    ; save original integer format
	SetFormat Integer, Hex        ; for converting bytes to hex
	Number += 0
	SetFormat Integer, %format%   ; restore original format
	StringTrimLeft, Number, Number, 2
	Stringlen := StrLen(Number)
	if Stringlen < 2
		Number = 0%Number%
	return Number
}