﻿using System;
using System.Collections.Generic;
using System.Text;
using HttpServer;
using HttpServer.Headers;
using HttpServer.Messages;
using HttpServer.Modules;

namespace webmc
{
	class Module_Test : IModule
	{
		const string MYPATH = "/test";

		public ProcessingResult Process(RequestContext context)
		{
			if (context.Request.Uri.AbsolutePath != MYPATH)
			{
				return ProcessingResult.Continue;
			}

			byte[] buffer = Encoding.UTF8.GetBytes("<html><body>Hello world, its me!</body></html>");

			context.Response.ContentLength.Value = buffer.Length;
			context.Response.ContentType.Value = "text/html";
			context.Response.Connection.Type = ConnectionType.Close;

			context.Response.Body.Write(buffer, 0, buffer.Length);

			ResponseWriter rw = new ResponseWriter();
			rw.Send(context.HttpContext, context.Response);

			return ProcessingResult.SendResponse;
		}
	}
}
